/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii.internal;

import com.draagon.wii.*;
import com.draagon.wii.security.*;
import java.io.*;

public interface InternalService
{
  public void service( WIIRequest req, WIIResponse res )
    throws IOException, WIIException;

  public void setName( String name );
  public String getName();

  public void setSecuritySystem( SecuritySystem security );
  public void setAccess( Object access );
  public boolean canAccess( WIIUser user );
}
