
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.servlet;

import com.draagon.wii.*;
import javax.servlet.*;

public class WIIServletContext implements WIIContext
{
  private ServletContext mContext = null;

  public WIIServletContext( ServletContext context )
  {
    mContext = context;
  }

  public Object getAttribute( String name )
  {
    return mContext.getAttribute( name );
  }

  public void setAttribute( String name, Object value )
  {
    mContext.setAttribute( name, value );
  }

  public void removeAttribute( String name )
  {
    mContext.removeAttribute( name );
  }
}
