package com.draagon.wii.ui;

/**
 * Title:        Draagon Web Integrator
 * Description:  Draagon Web Integrator is a web application integration framework.
 * Copyright:    Copyright (c) Doug Mealing
 * Company:      Draagon Software, Inc.
 * @author Doug Mealing
 * @version 1.0
 */

import com.draagon.wii.*;
import java.io.*;

public class JSPBoxService extends BoxService
{

  public JSPBoxService()
  {
  }

  public void drawBox( WIIResponse res, String type, String title )
    throws IOException, WIIException
  {
    if ( title == null ) title = "";

    mRequest.setAttribute( "box.type", type );
    mRequest.setAttribute( "box.title", title );

    dispatchTemplate( res, "box.jsp" );
  }
}
