package com.draagon.wii.util;

/**
 * Title:        Draagon Web Integrator
 * Description:  Draagon Web Integrator is a web application integration framework.
 * Copyright:    Copyright (c) Doug Mealing
 * Company:      Draagon Software, Inc.
 * @author Doug Mealing
 * @version 1.0
 */

public class NameValuePair
{
  private String mName = null;
  private String mValue = null;

  public NameValuePair( String name, String value )
  {
    set( name, value );
  }

  public void set( String name, String value )
  {
    setName( name );
    setValue( value );
  }

  public void setName( String name )
  {
    mName = name;
  }

  public void setValue( String value )
  {
    mValue = value;
  }

  public String getName()
  {
    return mName;
  }

  public String getValue()
  {
    return mValue;
  }
}
